/*
 * @Date: 2022-01-19 10:08:26
 * @LastEditors: JinxChen
 * @LastEditTime: 2023-02-25 16:33:59
 * @FilePath: \TelpoH5FrontendWeb\src\router\index.js
 * @description:
 */
import Vue from "vue";
import VueRouter from "vue-router";
import Nprogress from "nprogress";
import "nprogress/nprogress.css";

Vue.use(VueRouter);
const routes = [
    { path: '/', redirect: 'index' },
    { path: '/index', name: 'index', component: resolve => require(['@/views/index'], resolve) },
    { path: '/packageHome', name: 'packageHome', component: resolve => require(['@/views/package-home'], resolve) },
    { path: '/packageList', name: 'packageList', component: resolve => require(['@/views/package-list'], resolve) },
    { path: '/payResult', name: 'payResult', component: resolve => require(['@/views/pay-result'], resolve) },

];

const router = new VueRouter({
  //mode: "history",
  base: process.env.BASE_URL,
  routes,
});
router.beforeEach((to, form, next) => {
    /* Nprogress.start(); */
    next();
});
router.afterEach(() => {
    /* Nprogress.done(); */
});

export default router;
